diff --git a/contrib/pageinspect/expected/hash.out b/contrib/pageinspect/expected/hash.out
index 3abc887..8ff5969 100644
--- a/contrib/pageinspect/expected/hash.out
+++ b/contrib/pageinspect/expected/hash.out
@@ -47,12 +47,13 @@ DETAIL:  Expected 00000001, got 00000002.
 SELECT * FROM hash_bitmap_info('test_hash_a_idx', 5);
 ERROR:  page is not an overflow page
 DETAIL:  Expected 00000001, got 00000004.
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 0));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 0));
 -[ RECORD 1 ]----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 magic     | 105121344
 version   | 2
 ntuples   | 1
-ffactor   | 307
 bsize     | 8152
 bmsize    | 4096
 bmshift   | 15
@@ -66,15 +67,25 @@ procid    | 450
 spares    | {0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
 mapp      | {5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
 
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 1));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 1));
 ERROR:  page is not a hash meta page
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 2));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 2));
 ERROR:  page is not a hash meta page
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 3));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 3));
 ERROR:  page is not a hash meta page
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 4));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 4));
 ERROR:  page is not a hash meta page
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 5));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 5));
 ERROR:  page is not a hash meta page
 SELECT * FROM hash_page_stats(get_raw_page('test_hash_a_idx', 0));
 ERROR:  page is not a hash bucket or overflow page
diff --git a/contrib/pageinspect/sql/hash.sql b/contrib/pageinspect/sql/hash.sql
index 9e7635e..617c3bb 100644
--- a/contrib/pageinspect/sql/hash.sql
+++ b/contrib/pageinspect/sql/hash.sql
@@ -21,13 +21,29 @@ SELECT * FROM hash_bitmap_info('test_hash_a_idx', 4);
 SELECT * FROM hash_bitmap_info('test_hash_a_idx', 5);
 
 
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 0));
 
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 0));
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 1));
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 2));
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 3));
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 4));
-SELECT * FROM hash_metapage_info(get_raw_page('test_hash_a_idx', 5));
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 1));
+
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 2));
+
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 3));
+
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 4));
+
+SELECT magic, version, ntuples, bsize, bmsize, bmshift, maxbucket, highmask,
+lowmask, ovflpoint, firstfree, nmaps, procid, spares, mapp FROM
+hash_metapage_info(get_raw_page('test_hash_a_idx', 5));
 
 
 SELECT * FROM hash_page_stats(get_raw_page('test_hash_a_idx', 0));
